Page 1 sur 8

[Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 14:58
par Nebz
Hello,

Un petit plugin gratuit pour vous aider à contrôler votre AppleTV.

Jetez un petit coup d'oeil à la documentation pour les restrictions (il y en a pas mal dont Debian Stretch minimum !)
https://nebzhb.github.io/plugin-aTVremote/

Je pense que ça ne fonctionne que avec les AppleTV 4 et suivantes... dernier tvOS

Le plugin restera en BETA probablement longtemps. Car je ne suis pas content du résultat final (certaines fonctionnalités pas dispo sur le protocol utilisé :'()
C'est plus un essai auquel je vous donne acces. Il a ses limites...
Capture.PNG
Capture.PNG (48.14 Kio) Consulté 1528 fois
Bon amusement

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 14:58
par Nebz
[Réservé pour plus tard]

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 15:46
par BLRPERES
Merci nebz
Je regarderai ça après les vacances


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 15:58
par biarnes64
Super Nebz !!!
Je teste ça au plus vite

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 16:19
par biarnes64
Ca marche pas :cry:

J'ai une erreur avec l'installation des dépendances:
RuntimeError: aiohttp 3.x requires Python 3.5.3+

Je pense que je dois mettre à jour Python.
Je suis en DIY en version du core 3.2.10

Je vais regarder ça .

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 16:20
par Nebz
oui il faut du python 3.5 minimum.. je vais regarder pour le mettre à jour si besoin

moi un plugin a du le faire sur mon install avant...

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 23 août 2018, 16:28
par Nebz
j'ai poussé une mise à jour du plugin

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 17:40
par lgouraud2
Super, c'est exactement ce qu'il me manquait à ajouter à ma télécommande universelle.

J'attends impatiemment la version publique (çà va, je trouve qu'il n'y a pas trop de restrictions)

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 19:55
par Nebz
Comme j'ai expliqué ça va prendre du temps... car même si ça prend 3-4 secondes pour faire la commande, perso ça me dérange pas, je vais jamais utiliser jeedom comme télécommande, via Siri ou scénario c'est pas cata non plus puisque la tv met genre 7-10 secondes a démarrer


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:13
par Tristan35
biarnes64 a écrit :
23 août 2018, 16:19
Ca marche pas :cry:

J'ai une erreur avec l'installation des dépendances:
RuntimeError: aiohttp 3.x requires Python 3.5.3+

Je pense que je dois mettre à jour Python.
Je suis en DIY en version du core 3.2.10

Je vais regarder ça .
Même soucis chez moi ce soir :( Comment faites-vous pour mettre à jour Python en 3.5 ?

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:15
par Nebz
Normalement les dernières dépendances le corrigent .... si pas je peux avoir aTVremote-dep ?


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:24
par Tristan35
Le voici :

Code : Tout sélectionner

--0%
********************************************************
*             Installation des dépendances             *
********************************************************
Ign http://ftp.fr.debian.org jessie InRelease
Atteint http://ftp.fr.debian.org jessie-updates InRelease
Atteint http://security.debian.org jessie/updates InRelease
Atteint https://deb.nodesource.com jessie InRelease
Atteint http://ftp.fr.debian.org jessie Release.gpg
Atteint http://ftp.fr.debian.org jessie Release
Atteint http://ftp.fr.debian.org jessie-updates/main Sources
Atteint http://ftp.fr.debian.org jessie-updates/non-free Sources
Atteint http://security.debian.org jessie/updates/main Sources
Réception de : 1 http://ftp.fr.debian.org jessie-updates/main amd64 Packages/DiffIndex [11,8 kB]
Atteint http://security.debian.org jessie/updates/non-free Sources
Réception de : 2 http://ftp.fr.debian.org jessie-updates/non-free amd64 Packages/DiffIndex [736 B]
Atteint http://security.debian.org jessie/updates/main amd64 Packages
Réception de : 3 http://ftp.fr.debian.org jessie-updates/main Translation-en/DiffIndex [3 688 B]
Atteint https://deb.nodesource.com jessie/main Sources
Atteint http://security.debian.org jessie/updates/non-free amd64 Packages
Réception de : 4 http://ftp.fr.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Atteint https://deb.nodesource.com jessie/main amd64 Packages
Atteint http://security.debian.org jessie/updates/main Translation-en
Atteint http://ftp.fr.debian.org jessie/main Sources
Réception de : 5 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Atteint http://security.debian.org jessie/updates/non-free Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Sources
Atteint http://ftp.fr.debian.org jessie/main amd64 Packages
Atteint http://ftp.fr.debian.org jessie/non-free amd64 Packages
Atteint http://ftp.fr.debian.org jessie/main Translation-fr
Réception de : 6 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Atteint http://ftp.fr.debian.org jessie/main Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Translation-en
Réception de : 7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 8 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 9 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 11 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 14 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 15 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 16 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 17 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr_FR
Réception de : 18 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Réception de : 19 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
17,0 ko réceptionnés en 5s (3 395 o/s)
Lecture des listes de paquets…
--10%
Installation des dépendances apt
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
build-essential est déjà la plus récente version disponible.
libffi-dev est déjà la plus récente version disponible.
python3-pip est déjà la plus récente version disponible.
python3-setuptools est déjà la plus récente version disponible.
python3 est déjà la plus récente version disponible.
python3-dev est déjà la plus récente version disponible.
libssl-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
--50%
Collecting git+https://github.com/postlund/pyatv@fix_bugs
Cloning https://github.com/postlund/pyatv (to revision fix_bugs) to /tmp/pip-req-build-hgfgn546
Collecting aiohttp>=3.0.1 (from pyatv==0.3.11)
Could not find a version that satisfies the requirement aiohttp>=3.0.1 (from pyatv==0.3.11) (from versions: 0.1, 0.2, 0.3, 0.4, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.5.0, 0.6.0, 0.6.1, 0.6.2, 0.6.3, 0.6.4, 0.6.5, 0.7.0, 0.7.1, 0.7.2, 0.7.3, 0.8.0, 0.8.1, 0.8.2, 0.8.3, 0.8.4, 0.9.0, 0.9.1, 0.9.2, 0.9.3, 0.10.0, 0.10.1, 0.10.2, 0.11.0, 0.12.0, 0.13.0, 0.13.1, 0.14.0, 0.14.1, 0.14.2, 0.14.3, 0.14.4, 0.15.0, 0.15.1, 0.15.2, 0.15.3, 0.16.0, 0.16.1, 0.16.2, 0.16.3, 0.16.4, 0.16.5, 0.16.6, 0.17.0, 0.17.1, 0.17.2, 0.17.3, 0.17.4, 0.18.0, 0.18.1, 0.18.2, 0.18.3, 0.18.4, 0.19.0, 0.20.0, 0.20.1, 0.20.2, 0.21.0, 0.21.1, 0.21.2, 0.21.4, 0.21.5, 0.21.6, 0.22.0a0, 0.22.0b0, 0.22.0b1, 0.22.0b2, 0.22.0b3, 0.22.0b4, 0.22.0b5, 0.22.0b6, 0.22.0, 0.22.1, 0.22.2, 0.22.3, 0.22.4, 0.22.5, 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.5, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.2.0, 1.3.0, 1.3.1, 1.3.2, 1.3.3, 1.3.4, 1.3.5, 2.0.0rc1, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.6.post1, 2.0.7, 2.1.0, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.2.4, 2.2.5, 2.3.0a1, 2.3.0a2, 2.3.0a4, 2.3.0, 2.3.1a1, 2.3.1, 2.3.2b2, 2.3.2b3, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.8, 2.3.9, 2.3.10)
No matching distribution found for aiohttp>=3.0.1 (from pyatv==0.3.11)
--100%
********************************************************
*             Installation terminée                    *
********************************************************

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:25
par Nebz
Mmm ça ne le dit pas... une smart de ce que je vois ?


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:31
par Tristan35
Il indique un soucis sur aiohttp qui vraisemblablement nécessité python 3.5.1 au minimum. J'ai regardé je suis en 3.4.
Ce n'est pas une smart en revanche mais un Debian 8 sur une VM :)

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:35
par Nebz
Oui oui il Faut la 3.5 minimum dans la dernière version de la bibliothèque... dans les dépendances je fais installer la dernière 3 normalement... bizarre que ça ne prenne pas... je vais chercher...

Si on un :
sudo apt-get update python3

devrait le faire ?


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:39
par Tristan35
J'ai tenté le upgrade python3, mais il me dit que c'est déjà la dernière version.... mais c'est du 3.4.2 :(

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:40
par Nebz
Peut être la dernière pour jessie... je me renseigne


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:40
par Tristan35
Ah... :(

[Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:46
par Nebz
Je regarde à ça demain sinon Stretch il faudra y passer de toute façon ;-)


Envoyé de mon iPhone en utilisant Tapatalk

Re: [Plugin Tiers][Sujet Principal] aTVremote - Télécommande AppleTV

Publié : 24 août 2018, 22:47
par Tristan35
Merci :)